Commit 2d3dfeb9 authored by Jacek Lebioda's avatar Jacek Lebioda
Browse files

Merge branch 'develop' into 'master'

Develop

See merge request core-services/pages-jekyll-lcsb-template!8
parents 416fc608 09758219
Pipeline #16813 passed with stages
in 48 seconds
_site
.sass-cache
.jekyll-metadata
\ No newline at end of file
.jekyll-metadata
.jekyll-cache
/Thumbs.db
/.DS_Store
/.idea
image: ruby:2.6
# In case something goes horribly wrong, you can fall back to `image: ruby:latest`
image: git-r3lab.uni.lu:4567/r3/docker/jekyll-lcsb:1.0
build the website:
stage: build
before_script:
- gem install bundler -v2.0.2
- bundle install && bundle update
script:
- 'echo "baseurl: /$CI_PROJECT_NAME" >> _config_ci.yml'
......@@ -14,7 +16,7 @@ build the website:
paths:
- test
variables:
JEKYLL_ENV: production
JEKYLL_ENV: production
pages:
stage: deploy
......
......@@ -9,13 +9,13 @@ source "https://rubygems.org"
#
# This will help ensure the proper Jekyll version is running.
# Happy Jekylling!
gem "jekyll", "~> 3.8.5"
gem "bundler", "> 1.16.1"
gem "jekyll", "~> 4.0"
gem "bundler", "> 2.0"
# This is the default theme for new Jekyll sites. You may change this to anything you like.
gem "minima", "~> 2.5"
gem 'jekyll-theme-primer', '~> 0.5.3'
gem 'jekyll-theme-lcsb-default', '~> 0.2.18', :git => "https://git-r3lab.uni.lu/core-services/jekyll-theme-lcsb-default.git", :branch => "master"
# gem 'jekyll-theme-primer', '~> 0.5.4'
gem 'jekyll-theme-lcsb-default', '~> 0.3'
# If you want to use GitHub Pages, remove the "gem "jekyll"" above and
# uncomment the line below. To upgrade, run `bundle update github-pages`.
......@@ -23,7 +23,8 @@ gem 'jekyll-theme-lcsb-default', '~> 0.2.18', :git => "https://git-r3lab.uni.lu/
# If you have any plugins, put them here!
group :jekyll_plugins do
gem "jekyll-paginate-v2", "~> 1.7"
gem "jekyll-paginate-v2", "~> 2",
:git => "https://github.com/sverrirs/jekyll-paginate-v2.git"
gem "jekyll-feed", "~> 0.6"
end
......@@ -32,4 +33,3 @@ gem "tzinfo-data", platforms: [:mingw, :mswin, :x64_mingw, :jruby]
# Performance-booster for watching directories on Windows
gem "wdm", "~> 0.1.1" if Gem.win_platform?
GIT
remote: https://git-r3lab.uni.lu/core-services/jekyll-theme-lcsb-default.git
revision: f1eaba1cc613481c624b3b1a08129f3a91d79819
branch: master
remote: https://github.com/sverrirs/jekyll-paginate-v2.git
revision: f8664cf68b59de823b88d4e6b1b985457f2c13af
specs:
jekyll-theme-lcsb-default (0.2.18)
jekyll (~> 3.7)
jekyll-seo-tag (~> 2.1)
jekyll-paginate-v2 (2.1.0)
jekyll (>= 3.0, < 5.0)
GEM
remote: https://rubygems.org/
specs:
addressable (2.5.2)
public_suffix (>= 2.0.2, < 4.0)
addressable (2.7.0)
public_suffix (>= 2.0.2, < 5.0)
colorator (1.1.0)
concurrent-ruby (1.1.4)
concurrent-ruby (1.1.5)
em-websocket (0.5.1)
eventmachine (>= 0.12.9)
http_parser.rb (~> 0.6.0)
eventmachine (1.2.7-x64-mingw32)
faraday (0.15.4)
multipart-post (>= 1.2, < 3)
ffi (1.10.0-x64-mingw32)
ffi (1.11.2-x64-mingw32)
forwardable-extended (2.6.0)
http_parser.rb (0.6.0)
i18n (0.9.5)
i18n (1.7.0)
concurrent-ruby (~> 1.0)
jekyll (3.8.5)
jekyll (4.0.0)
addressable (~> 2.4)
colorator (~> 1.0)
em-websocket (~> 0.5)
i18n (~> 0.7)
jekyll-sass-converter (~> 1.0)
i18n (>= 0.9.5, < 2)
jekyll-sass-converter (~> 2.0)
jekyll-watch (~> 2.0)
kramdown (~> 1.14)
kramdown (~> 2.1)
kramdown-parser-gfm (~> 1.0)
liquid (~> 4.0)
mercenary (~> 0.3.3)
pathutil (~> 0.9)
rouge (>= 1.7, < 4)
rouge (~> 3.0)
safe_yaml (~> 1.0)
jekyll-feed (0.11.0)
jekyll (~> 3.3)
jekyll-github-metadata (2.12.1)
jekyll (~> 3.4)
octokit (~> 4.0, != 4.4.0)
jekyll-paginate-v2 (1.9.4)
jekyll (~> 3.0)
jekyll-sass-converter (1.5.2)
sass (~> 3.4)
jekyll-seo-tag (2.5.0)
jekyll (~> 3.3)
jekyll-theme-primer (0.5.3)
jekyll (~> 3.5)
jekyll-github-metadata (~> 2.9)
jekyll-seo-tag (~> 2.0)
jekyll-watch (2.1.2)
terminal-table (~> 1.8)
jekyll-feed (0.13.0)
jekyll (>= 3.7, < 5.0)
jekyll-sass-converter (2.0.1)
sassc (> 2.0.1, < 3.0)
jekyll-seo-tag (2.6.1)
jekyll (>= 3.3, < 5.0)
jekyll-theme-lcsb-default (0.3.0)
jekyll (~> 4.0)
jekyll-seo-tag (~> 2.5)
jekyll-watch (2.2.1)
listen (~> 3.0)
kramdown (1.17.0)
liquid (4.0.1)
listen (3.1.5)
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
ruby_dep (~> 1.2)
kramdown (2.1.0)
kramdown-parser-gfm (1.1.0)
kramdown (~> 2.0)
liquid (4.0.3)
listen (3.2.0)
rb-fsevent (~> 0.10, >= 0.10.3)
rb-inotify (~> 0.9, >= 0.9.10)
mercenary (0.3.6)
minima (2.5.0)
jekyll (~> 3.5)
minima (2.5.1)
jekyll (>= 3.5, < 5.0)
jekyll-feed (~> 0.9)
jekyll-seo-tag (~> 2.1)
multipart-post (2.0.0)
octokit (4.13.0)
sawyer (~> 0.8.0, >= 0.5.3)
pathutil (0.16.2)
forwardable-extended (~> 2.6)
public_suffix (3.0.3)
public_suffix (4.0.1)
rb-fsevent (0.10.3)
rb-inotify (0.10.0)
ffi (~> 1.0)
rouge (3.3.0)
ruby_dep (1.5.0)
safe_yaml (1.0.4)
sass (3.7.3)
sass-listen (~> 4.0.0)
sass-listen (4.0.0)
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
sawyer (0.8.1)
addressable (>= 2.3.5, < 2.6)
faraday (~> 0.8, < 1.0)
thread_safe (0.3.6)
tzinfo (1.2.5)
thread_safe (~> 0.1)
tzinfo-data (1.2018.5)
rouge (3.13.0)
safe_yaml (1.0.5)
sassc (2.2.1-x64-mingw32)
ffi (~> 1.9)
terminal-table (1.8.0)
unicode-display_width (~> 1.1, >= 1.1.1)
tzinfo (2.0.0)
concurrent-ruby (~> 1.0)
tzinfo-data (1.2019.3)
tzinfo (>= 1.0.0)
unicode-display_width (1.6.0)
wdm (0.1.1)
PLATFORMS
x64-mingw32
DEPENDENCIES
bundler (> 1.16.1)
jekyll (~> 3.8.5)
bundler (> 2.0)
jekyll (~> 4.0)
jekyll-feed (~> 0.6)
jekyll-paginate-v2 (~> 1.7)
jekyll-theme-lcsb-default (~> 0.2.18)!
jekyll-theme-primer (~> 0.5.3)
jekyll-paginate-v2 (~> 2)!
jekyll-theme-lcsb-default (~> 0.3)
minima (~> 2.5)
tzinfo-data
wdm (~> 0.1.0)
wdm (~> 0.1.1)
BUNDLED WITH
1.16.4
2.0.2
......@@ -63,5 +63,8 @@ You probably didn't configure `baseurl` parameter in the settings or configured
### *The links in the menu are not working (they point to "404: Not found").*
You probably didn't add `permalink` attribute. Or the post has `published: false` or `draft: true` set. Please take a look on the post file.
### *Something goes wrong with Gitlab-CI*
It never happened before, please notify us immediately.
### Other problems?
Please send us an email! (`lcsb-sysadmins (at) uni.lu`)
\ No newline at end of file
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment